Bug 17358 - Authorised values: COU>COUNTRY | LAN>LANG
Summary: Authorised values: COU>COUNTRY | LAN>LANG
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal with 1 vote (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 17216
  Show dependency treegraph
 
Reported: 2016-09-27 12:37 UTC by Jonathan Druart
Modified: 2017-06-14 22:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17358: Rename COU with COUNTRY and LAN with LANG (9.56 KB, patch)
2016-09-27 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17358: Rename COU with COUNTRY and LAN with LANG (9.71 KB, patch)
2016-10-04 09:26 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17358: Rename COU with COUNTRY and LAN with LANG (9.78 KB, patch)
2016-10-11 12:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-09-27 12:37:53 UTC
Some installer files use COU and LAN instead of COUNTRY and LANG.
Comment 1 Jonathan Druart 2016-09-27 12:42:57 UTC
Created attachment 55838 [details] [review]
Bug 17358: Rename COU with COUNTRY and LAN with LANG

Some installer files use COU and LAN instead of COUNTRY and LANG.

To uniformise these AVs, it would be good to use the same code.

Note that I do not think we should update existing installations
Comment 2 Marc Véron 2016-10-04 09:26:02 UTC
Created attachment 56008 [details] [review]
Bug 17358: Rename COU with COUNTRY and LAN with LANG

Some installer files use COU and LAN instead of COUNTRY and LANG.

To uniformise these AVs, it would be good to use the same code.

Note that I do not think we should update existing installations

Carefully compared code.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Katrin Fischer 2016-10-11 12:49:00 UTC
Created attachment 56174 [details] [review]
[PASSED QA] Bug 17358: Rename COU with COUNTRY and LAN with LANG

Some installer files use COU and LAN instead of COUNTRY and LANG.

To uniformise these AVs, it would be good to use the same code.

Note that I do not think we should update existing installations

Carefully compared code.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Brendan Gallagher 2016-10-12 11:03:32 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-10-22 11:50:36 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 6 Julian Maurice 2016-10-24 09:48:48 UTC
Pushed to 3.22.x, will be in 3.22.12